﻿using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using PrismDemo.Infrastructure;
using PrismDemo.Modules.StatusBar.Views;

namespace PrismDemo.Modules.StatusBar
{
    public class StatusBarModule : ModuleBase
    {
        public StatusBarModule(IUnityContainer container, IRegionManager regionManager)
            : base(container, regionManager)
        {

        }

        public override void Initialize()
        {
            var view = Container.Resolve<StatusBarView>();
            RegionManager.Regions[RegionNames.StatusBarRegion].Add(view);
        }
    }
}
